Organizations - Addresses API
Bu içerik henüz dilinizde mevcut değil.
- List all addresses of an organization
- Get a single address of an organization
- Add an address to an organization
- Update an address of an organization
- Remove an address from an organization
- Remove all addresses from an organization
- Fields
List all addresses of an organization
Заголовок раздела «List all addresses of an organization»List all addresses of the organization with a specific ID:
GET /organizations/:id/addressesResponse
Заголовок раздела «Response»Status: 200 OK[ { "address": "18 Kings Highway North", "city": "Westport", "label": "street", "zip": "6880", "country": "US", "id": 34, "state": "CT" }, { "address": "P.O. Box 15120", "city": "Albany", "label": "mailing", "zip": "12212-5120", "country": "US", "id": 164, "state": "NY" }]The response contains these fields by default.
Get a single address of an organization
Заголовок раздела «Get a single address of an organization»GET /organizations/:id/addresses/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "id": 34, "label": "street", "address": "18 Kings Highway North", "city": "Westport", "state": "CT", "zip": "6880", "country": "US", "integration": true}The response contains these fields .
Add an address to an organization
Заголовок раздела «Add an address to an organization»Add an address to an organization with a specific ID.
POST /organizations/:id/addressesWhen creating a new address for an organization these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "label": "street", "...": "..."}The response contains all fields of the created address and is similar to the response in Get a single address of an organization
Update an address of an organization
Заголовок раздела «Update an address of an organization»Update an address with a specific ID of an organization with a specific ID.
PATCH /organizations/:id/addresses/:address_idWhen updating an existing address for an organization these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "label": "street", "...": "..."}The response contains all fields of the created address and is similar to the response in Get a single address of an organization
Remove an address from an organization
Заголовок раздела «Remove an address from an organization»Remove an address with a specific ID from an organization with a specific ID.
DELETE /organizations/:id/addresses/:address_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all addresses from an organization
Заголовок раздела «Remove all addresses from an organization»Remove all addresses from an organization with a specific ID.
DELETE /organizations/:id/addresses/Response
Заголовок раздела «Response»Status: 204 No Contentaddress
Optional string (max 1024) — The address lines.
city
Optional string (max 128) — The city name.
country
Optional string (max 128) — The 2-letter country code.
id
Readonly integer — The unique ID of the address.
integration
Optional
boolean
, default:
false
— The Integration field is a hidden checkbox that can be set to
true
using this API or the Import functionality. When checked, the address is displayed as read-only in the user interface to prevent users from updating it.
label
Required enum — The Label of the address details. Valid values are:
streetmailingbilling
state
Optional string (max 30) — The state name.
zip
Optional string (max 20) — The zip code.